{% extends 'base.html.twig' %}


{% block body  %}
    
      {{ include ('load/load.html.twig')}}

    
    <div class="page-header">
        <h1>
            Management des
            <small>
                <i class="ace-icon fa fa-angle-double-right"></i>
                Utilisateurs
            </small>
        </h1>
    </div>


    {% for flash_message in app.session.flashBag.get('notice') %}
        <div class="alert alert-block alert-success message_flash">
            <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
        </div>
    {% endfor %}

    <div class="alert alert-block alert-success message_flash" style="display: none">

    </div>
      <div class="alert alert-block alert-danger message_flash1" style="display:none;">
    </div>
    <div class="alert alert-block alert-success message_flash2" style="display:none;">

    </div>
    <div class="alert alert-block alert-info message_flash_info" style="display: none;">

    </div>



    <div class="row">
        <form method="post" id="renitialiser">
            <div class="col-md-12">
                <button class="btn btn-xs btn-success" type="submit" style="float: right ; margin-bottom: 10px ">
                    <i class="ace-icon fa fa-refresh bigger-110"></i> réinitialiser mot de passe
                </button>
            </div>
            <div class="col-xs-12">

                <table id="grid" class="display  table  table-bordered table-hover" cellspacing="0" width="100%">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>check</th>
                            <th>Nom</th>
                            <th>Prénom</th>
                            <th>Login</th>
                            <th>Email</th>
                            <th style="width: 5%">Active</th>
                          
                        </tr>
                    </thead>



                </table>

                <div class="option">
                    <img src="{{ asset('assets/images/arrow.png') }}"/>
                    <input type="checkbox" id="cat" title="Tout selectionner"/><label>Tout selectionner</label>
                </div>

            </div>
        </form>
    </div>
{% endblock %}



{% block javascripts %}
    {{ parent() }}

    <script>

 document.addEventListener("DOMContentLoaded", function (event) {
            $('#grid').show(500);
        });


        $('#renitialiser').submit(function (e) {
            // var code = $('.active-row').attr('id');
            var dta = new FormData(this);
            if (!$(".cat").is(':checked')) {
                bootbox.alert("Veuillez selectionner un étudiant au moins !!");

            } else {


                bootbox.confirm({
                    title: "Confirmation",
                    message: "<h5>Vous Voulez Vraiment rénitialiser les mots de passes des utilisateurs selectionnées <br/> NB : Les nouveaux mots de passes sont : (0123456789) !</h5>",
                    buttons: {
                        cancel: {
                            label: '<i class="fa fa-times"></i> Non Merci'
                        },
                        confirm: {
                            label: '<i class="fa fa-check"></i> Oui'
                        }
                    },
                    callback: function (confirmation) {
                        if (confirmation == true) {
                            $('#model-load').modal('show');

                            $.ajax({
                                type: 'POST',
                                url: '{{ path('user_reset_password') }}',
                                data: dta,
                                processData: false,
                                contentType: false,
                                success: function (result) {
                                    // console.log(result)
                                    
                                     $('#model-load').modal('hide');

                                    var parsed = jQuery.parseJSON(result);
                                    $(".message_flash").show().html("<button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>")
                                    dataTable.ajax.reload();

                                }
                            });

        {#$.ajax({
            url: Routing.generate('user_disable_account', {id: id, etat: etat}),
            success: function (result) {
                var parsed = jQuery.parseJSON(result);
                $(".message_flash").show().html("<button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>")
                dataTable.ajax.reload();

            }


        });#}


                            }
                        }
                    });



                }
                e.preventDefault();
            });





            $("#cat").change(function () {
                $(".cat").prop('checked', $(this).prop("checked"));
                //alert($(".cat").val()); 

            });
            document.addEventListener("DOMContentLoaded", function (event) {
                $('#grid').show(500);
            });


            var dataTable = $('#grid').DataTable({
                "iDisplayLength": 10,
                "lengthMenu": [[10, 15, 25, 50, 100, 200, 20000000], [10, 15, 25, 50, 100, 200, "All"]],
                "order": [[0, "desc"]],
                "columnDefs": [
                    {"orderable": false, "targets": 1}
                ],
                "language": {
                    "url": "{{ asset('assets/js/jquery.dataTablesFrench.json') }}",
                    "processing": true
                },
                "serverSide": false,
                "ajax": {
                    url: Routing.generate('users_list1'), // json datasource
                    type: "get"

                }
            });








   





            $('#grid').on('click', 'tbody tr td  .active_user', function (event) {

                //  $('.active_user').click(function (event) {
                //  alert($(this).attr('rel'));


                var id = $(this).attr('rel');
                var etat = $(this).attr('href');
                var text = "";
                if (etat == 1) {
                    text = "Désactiver";

                } else {
                    etat=0;
                    text = "Activer";

                }

                bootbox.confirm({
                    title: "Confirmation",
                    message: "<h5>Vous Voulez Vraiment " + text + " ce Compte utilisateur !</h5>",
                    buttons: {
                        cancel: {
                            label: '<i class="fa fa-times"></i> Non Merci'
                        },
                        confirm: {
                            label: '<i class="fa fa-check"></i> Oui'
                        }
                    },
                    callback: function (confirmation) {
                        if (confirmation == true) {
                              $(".message_flash1").hide();
                        $(".message_flash2").hide();
                        $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> veuillez patienter traitement en cours...</p>");

                            $.ajax({
                                url: Routing.generate('user_disable_account', {id: id, etat: etat}),
                                success: function (result) {
                                       var parsed = jQuery.parseJSON(result);
                             $(".message_flash_info").hide();
                                 $(".message_flash1").hide();
                                $(".message_flash2").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>");
                                       dataTable.ajax.reload();
                                 
                                   
                                 

                                }


                            });


                        }
                    }
                });


                event.preventDefault();
            });

















    </script>

{% endblock %}